> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ads-demand/click-options/click-to-native-browser.md).

# Click to Native Browser

Demand-side platforms running in-app-to-mobile web campaigns on the DT Exchange track cookies, perform cross-device matching, and measure mobile web conversions. To track cookies after an ad click-through, DT opens the landing page URL in the native browser instead of the default embedded browser. In an embedded browser, DT tracks only device IDs. In a native browser, DT tracks user cookies, bounce rate, and web conversions.

## Key Terms <a href="#h_01jndktr3y5qn378k39asxfcbd" id="h_01jndktr3y5qn378k39asxfcbd"></a>

The following terms define important concepts for this feature:

| TERM           | DESCRIPTION                                                                                                                                    |
| -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| Click URL      | The website address a user visits after clicking on an ad, also known as a Landing Page URL. This URL passes within the client’s creative tag. |
| Native Browser | The browser app on the device, such as Chrome or Safari, that opens the URL, also known as an External Browser.                                |

## Who Can Use This Feature? <a href="#h_01jndktr3yje75nr3yr9fnqqv7" id="h_01jndktr3yje75nr3yr9fnqqv7"></a>

This feature is available to the following participants:

* Programmatic Demand partners who connect using a bidder and OpenRTB protocol.
* API demand partners who target by SDK version or add the new custom extension to their API specification.

## Implementing the Native Browser <a href="#h_01jndktr3yp61h0qwtxhs5463s" id="h_01jndktr3yp61h0qwtxhs5463s"></a>

DT supports the following implementation methods:

### Method 1: Using a URL Suffix <a href="#h_01jndktr3ygaewr52av51v3781" id="h_01jndktr3ygaewr52av51v3781"></a>

1. When you run an app-to-web campaign, target the DT Exchange supply that supports opening the landing page in the native browser.
2. DT provides a custom bid request extension to flag native browser supply:

{% code title="Java" %}

```java
imp.ext.brsrclk:1
//Where [1] = native browser is forced open upon click 
```

{% endcode %}

3. Append a new URL suffix to the Click URL to force the native browser to open.\
   DT opens the landing page in the embedded browser when you do not append the URL suffix.

{% code title="HTML" %}

```html
https://ads.DSP.com/delivery/r/ajs.php?did=5bf512f8cb99bd00d942ad21dc941a00&......&FYBER_OPEN_BROWSER
<!-- URL Suffix: FYBER_OPEN_BROWSER -->
```

{% endcode %}

### Method 2: Using a URL Prefix <a href="#h_01jndktr3yqxtb1geqeh44d33k" id="h_01jndktr3yqxtb1geqeh44d33k"></a>

1. When you run an app-to-web campaign, target the DT Exchange supply that supports opening the landing page in the native browser.
2. DT provides a custom bid request extension to flag native browser supply:

{% code title="Java" %}

```java
imp.ext.brsrclk:1
//Where [1] = native browser is forced open upon click
```

{% endcode %}

3. Append a new URL prefix to the Click URL to force the native browser to open.\
   DT opens the landing page in the embedded browser when you do not append the URL prefix.

{% code title="HTML" %}

```html
fybernativebrowser://navigate?url=http%3A%2F%2Fwww.google.com
<!-- URL Prefix: fybernativebrowser -->
```

{% endcode %}

{% hint style="info" %}
You must define the following parameters:

* Scheme: `fybernativebrowser`
* Host path: `navigate`
* URL: Contains a single query param named `url` that is URL encoded and uses only the `http` or `https` scheme.
  {% endhint %}

For more information, see [Smartlink](/dt-ads-demand/click-options/smartlink.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digitalturbine.com/dt-ads-demand/click-options/click-to-native-browser.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
